Subject: ICMP attacks against TCP

From: Fernando Gont <[email-masked]>
Date: Mon, 03 Jan 2005 11:43:02 -0300

Folks,

I'm an active member of the TCPM working group, and have authored a 
draft  that discusses a number of attacks that can be performed against TCP 
by means of ICMPv4 and ICMPv6.

The draft also proposes several counter-measures that either eliminate or 
mitigate the impact of these attacks.

Brian Haberman (co-chair) agreed it would be useful to raise this issues in 
this mailing list, and thus I'm posting this message so that maybe I can 
get some feedback from IPv6 folks.

Here's the announcement of the last version of the draft, which includes 
the Abstract and information on how to get the draft:

>Date: Tue, 28 Dec 2004 15:50:50 -0500
>From: [email-masked]
>Subject: I-D ACTION:draft-gont-tcpm-icmp-attacks-03.txt
>To: [email-masked]
>Message-ID: <[email-masked]>
>Content-Type: text/plain; charset="us-ascii"
>
>A New Internet-Draft is available from the on-line Internet-Drafts 
>directories.
>
>
>         Title           : ICMP attacks against TCP
>         Author(s)       : F. Gont
>         Filename        : draft-gont-tcpm-icmp-attacks-03.txt
>         Pages           : 28
>         Date            : 2004-12-28
>
>This document discusses the use of the Internet Control Message
>    Protocol (ICMP) to perform a variety of attacks against the
>    Transmission Control Protocol (TCP) and other similar protocols.  It
>    proposes several counter-measures to eliminate or minimize the impact
>    of these attacks.
>
>A URL for this Internet-Draft is:
>http://www.ietf.org/internet-drafts/draft-gont-tcpm-icmp-attacks-03.txt
>
>To remove yourself from the I-D Announcement list, send a message to
>[email-masked] with the word unsubscribe in the body of the 
>message.
>You can also visit https://www1.ietf.org/mailman/listinfo/I-D-announce
>to change your subscription settings.
>
>
>Internet-Drafts are also available by anonymous FTP. Login with the username
>"anonymous" and a password of your e-mail address. After logging in,
>type "cd internet-drafts" and then
>         "get draft-gont-tcpm-icmp-attacks-03.txt".
>
>A list of Internet-Drafts directories can be found in
>http://www.ietf.org/shadow.html
>or ftp://ftp.ietf.org/ietf/1shadow-sites.txt
>
>
>Internet-Drafts can also be obtained by e-mail.
>
>Send a message to:
>         [email-masked].
>In the body type:
>         "FILE /internet-drafts/draft-gont-tcpm-icmp-attacks-03.txt".
>
>NOTE:   The mail server at ietf.org can return the document in
>         MIME-encoded form by using the "mpack" utility.  To use this
>         feature, insert the command "ENCODING mime" before the "FILE"
>         command.  To decode the response(s), you will need "munpack" or
>         a MIME-compliant mail reader.  Different MIME-compliant mail readers
>         exhibit different behavior, especially when dealing with
>         "multipart" MIME messages (i.e. documents which have been split
>         up into multiple messages), so check your local documentation on
>         how to manipulate these messages.
>
>
>Below is the data which will enable a MIME compliant mail reader
>implementation to automatically retrieve the ASCII version of the
>Internet-Draft.

Any comments are more than welcome.

Thanks!

--
Fernando Gont
e-mail: [email-masked] || [email-masked]

--------------------------------------------------------------------
IETF IPv6 working group mailing list
[email-masked]
Administrative Requests: https://www1.ietf.org/mailman/listinfo/ipv6
--------------------------------------------------------------------